Modifier un utilisateur.
curl --request PUT \
--url https://api.hubapi.com/settings/users/2026-03/{userId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"primaryTeamId": "<string>",
"roleId": "<string>",
"secondaryTeamIds": [
"<string>"
]
}
'import requests
url = "https://api.hubapi.com/settings/users/2026-03/{userId}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"primaryTeamId": "<string>",
"roleId": "<string>",
"secondaryTeamIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
primaryTeamId: '<string>',
roleId: '<string>',
secondaryTeamIds: ['<string>']
})
};
fetch('https://api.hubapi.com/settings/users/2026-03/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/settings/users/2026-03/{userId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'firstName' => '<string>',
'lastName' => '<string>',
'primaryTeamId' => '<string>',
'roleId' => '<string>',
'secondaryTeamIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/settings/users/2026-03/{userId}"
payload := strings.NewReader("{\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"primaryTeamId\": \"<string>\",\n \"roleId\": \"<string>\",\n \"secondaryTeamIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.hubapi.com/settings/users/2026-03/{userId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"primaryTeamId\": \"<string>\",\n \"roleId\": \"<string>\",\n \"secondaryTeamIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/settings/users/2026-03/{userId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"primaryTeamId\": \"<string>\",\n \"roleId\": \"<string>\",\n \"secondaryTeamIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"email": "<string>",
"id": "<string>",
"roleIds": [
"<string>"
],
"superAdmin": true,
"firstName": "<string>",
"lastName": "<string>",
"primaryTeamId": "<string>",
"roleId": "<string>",
"secondaryTeamIds": [
"<string>"
],
"sendWelcomeEmail": true
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Utilisateurs
Update a user
Modifie un utilisateur identifié par « userId ». « userId » désigne par défaut l’identifiant de l’utilisateur ou, optionnellement, l’e-mail comme indiqué par le paramètre de requête « IdProperty ».
PUT
/
settings
/
users
/
2026-03
/
{userId}
Modifier un utilisateur.
curl --request PUT \
--url https://api.hubapi.com/settings/users/2026-03/{userId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"primaryTeamId": "<string>",
"roleId": "<string>",
"secondaryTeamIds": [
"<string>"
]
}
'import requests
url = "https://api.hubapi.com/settings/users/2026-03/{userId}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"primaryTeamId": "<string>",
"roleId": "<string>",
"secondaryTeamIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
primaryTeamId: '<string>',
roleId: '<string>',
secondaryTeamIds: ['<string>']
})
};
fetch('https://api.hubapi.com/settings/users/2026-03/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/settings/users/2026-03/{userId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'firstName' => '<string>',
'lastName' => '<string>',
'primaryTeamId' => '<string>',
'roleId' => '<string>',
'secondaryTeamIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/settings/users/2026-03/{userId}"
payload := strings.NewReader("{\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"primaryTeamId\": \"<string>\",\n \"roleId\": \"<string>\",\n \"secondaryTeamIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.hubapi.com/settings/users/2026-03/{userId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"primaryTeamId\": \"<string>\",\n \"roleId\": \"<string>\",\n \"secondaryTeamIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/settings/users/2026-03/{userId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"primaryTeamId\": \"<string>\",\n \"roleId\": \"<string>\",\n \"secondaryTeamIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"email": "<string>",
"id": "<string>",
"roleIds": [
"<string>"
],
"superAdmin": true,
"firstName": "<string>",
"lastName": "<string>",
"primaryTeamId": "<string>",
"roleId": "<string>",
"secondaryTeamIds": [
"<string>"
],
"sendWelcomeEmail": true
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
Paramètres de requête
Options disponibles:
EMAIL, USER_ID Corps
application/json
Dernière modification le 6 octobre 2026